com.mockobjects.jms

## Class MockObjectMessage

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.jms.MockMessage
    - - com.mockobjects.jms.MockObjectMessage

- All Implemented Interfaces:
    Verifiable

      public class MockObjectMessage
      extends MockMessage

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockObjectMessage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.Serializable` | `getObject()`
    `void` | `setObject(java.io.Serializable serialisable)`
    `void` | `setupGetObject(java.io.Serializable objectToReturn)`

    - ### Methods inherited from class com.mockobjects.jms.MockMessage

      `acknowledge, clearBody, clearProperties, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setExpectedAcknowledgeCalls, setExpectedJMSReplyTo, setExpectedSetJMSCorrelationIDCalls, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty, setupJMSMessageID, setupThrowException`

    - ### Methods inherited from class com.mockobjects.MockObject

      `notImplemented, notYetImplemented, verify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockObjectMessage

          public MockObjectMessage()

  - ### Method Detail

    - #### setupGetObject

          public void setupGetObject(java.io.Serializable objectToReturn)

    - #### getObject

          public java.io.Serializable getObject()
                                         throws JMSException

      Throws:
        `JMSException`

    - #### setObject

          public void setObject(java.io.Serializable serialisable)
                         throws JMSException

      Throws:
        `JMSException`

Copyright © 2002 Mock Objects. All Rights Reserved.